#
# $Id: stepTheme.tcl,v 1.4 2004/01/17 01:19:05 jenglish Exp $
#
# Appearance settings for "Step" theme.
#

namespace eval Tile {

style definetheme step {

    set step_defaultBG $defaultBG ;#"#a0a0a0"
    set step_lightBG   $defaultBG
    set step_activeBG  $activeBG  ;#"#d0d0d0"
    set step_scrollBG  $defaultBG ;#"#aeb2c3"

    style map "." -background "
	disabled	$step_defaultBG
	active 		$step_activeBG
	{}		$step_defaultBG
    "

    style default TButton -padding "3m 0" -relief raised
    style map TButton -relief {
	{pressed !disabled} 	sunken
	{active !disabled} 	raised
    }
    style map TCheckbutton -indicatorrelief {
        {pressed !disabled}	sunken
        {}			raised
    }
    style map TRadiobutton -indicatorrelief {
        pressed			sunken
        {}			groove
    }
    style default TRadiobutton -indicatorcolor $step_lightBG

    style map TScrollbar -relief { pressed sunken  {} raised }
    style map TScrollbar -background "
	disabled	$step_defaultBG
	active 		$step_scrollBG
	{}		$step_defaultBG
    "
    style map TProgress -background {{} SteelBlue}

} }

