#
# $Id: altTheme.tcl,v 1.5 2004/01/17 02:05:18 jenglish Exp $
#
# Tile widget set: Alternate theme
#

namespace eval Tile {

style definetheme alt {

    style map "." -background \
	    [list disabled $defaultBG  active $activeBG  {} $defaultBG]
    style map "." -foreground  [list disabled #a3a3a3]

    style default "." -troughcolor $troughColor

    style default TButton -width -11 -padding "1 1" -relief raised
    style map TButton -relief {
	{pressed !disabled} 	sunken
	{active !disabled} 	raised
    }
    style map TCheckbutton -indicatorcolor \
	[list  disabled $defaultBG  pressed $defaultBG  {} #FFFFFF]
    style map TRadiobutton -indicatorcolor \
	[list  disabled $defaultBG  pressed $defaultBG  {} #FFFFFF]

    style map TScrollbar -relief { pressed sunken  {} raised }

    style default TNotebookTab -padding {4m 2m} -font ButtonFont
    style map TNotebookTab -background \
    	[list selected $defaultBG {} $troughColor] \

    style default TScale -groovewidth 4 -troughrelief sunken
    style map TScale -sliderrelief {pressed sunken  {} raised}
    style map TProgress -background {{} SteelBlue}

} }
