#
# $Id: defaults.tcl,v 1.4 2004/01/17 01:19:05 jenglish Exp $
#
# Tile widget set: Default theme
#

namespace eval Tile {
style definetheme "" {

    style map "." -background \
	    [list disabled $defaultBG  active $activeBG  {} $defaultBG]
    style map "." -foreground  [list disabled #a3a3a3]
    style map "." -troughcolor [list {} $troughColor]

    style default TButton -padding "3m 1m" -relief raised
    style map TButton -relief {
	{pressed !disabled} 	sunken
	{active !disabled} 	raised
    }

    foreach class {TCheckbutton TRadiobutton} {
	style map $class -indicatorrelief \
	    [list  selected sunken   pressed sunken  {} raised] \
	-indicatorcolor \
	    [list  pressed $defaultBG  selected #b03060  {} $defaultBG]
    }

    style map TScrollbar -relief { pressed sunken  {} raised }
    style map TScale -sliderrelief {{pressed !disabled} sunken  {} raised}
    style map TProgress -background {{} SteelBlue}

    style default TNotebookTab -padding {3m 1m} -font ButtonFont
    style map TNotebookTab -background \
    	[list selected $defaultBG {} $troughColor]

}}
